<!doctype html>
<?php session_start();
if (!isset($_SESSION['uzivatel']['heslo'])) { header("location:index.php"); exit; }
error_reporting(E_ALL);
ini_set("display_errors", 0);
?>
<html lang="cs">
<head>
<title>Rezervace startovní pozice</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="canonical" href="<?php echo file_get_contents('web.txt')?>">

	<!-- favicons -->
<link rel="shortcut icon" type="image/vnd.microsoft.icon" href="../favicon.ico">
<link rel="icon" type="image/x-icon" href="../favicon.ico">
<meta name="theme-color" content="#ffffff">
<meta name="color-scheme" content="dark light">

	<!-- css -->
<link rel="stylesheet" href="css/bootstrap.min.css">
<link rel="stylesheet" href="css/redips.css">
<link rel="stylesheet" href="css/bs-callouts.css">
</head>

<body>

<div>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
<div class="container-fluid">
<span class="navbar-brand"><a href="../" class="text-warning" target="_blank">REZERVACE</a></span>
<button type="button" class="navbar-toggler" data-bs-toggle="collapse" data-bs-target="#reserve"><span class="navbar-toggler-icon"></span></button>
<div class="collapse navbar-collapse" id="reserve">
<div class="navbar-nav">
<a href="prehled.php" class="nav-item nav-link">Přehled</a>
<a href="data.php" class="nav-item nav-link">Přihlášky</a>
<a href="zavod.php" class="nav-item nav-link">Závod</a>
<a href="nastaveni.php" class="nav-item nav-link active">Nastavení</a>
</div>
<div class="navbar-nav d-flex ms-auto">
<a href="odhlasit.php" class="nav-item nav-link">Odhlásit</a>
</div>
</div>
</div>
</nav>
</div>

	<!-- create match -->
<div class="container">
<div class="row">

<div class="col-lg-8 col-md-12 mb-3 mt-3 mx-auto">
<fieldset class="border rounded-3 px-4 py-3">
<legend class="float-none w-auto px-2 fs-6 fw-bold">Obecné nastavení</legend>
<form action="" method="post">

<div class="row g-4 mb-3">
<div class="col-lg-5 col-md-6">
  <label class="col-form-label">Název pořadatele:</label>
  <input type="text" name="team_name" class="form-control" value="<?php echo (empty((file_get_contents('poradatel.txt')))) ? '' : file_get_contents('poradatel.txt'); ?>">
</div>
<div class="col-lg-2 col-md-6">
  <label class="col-form-label">Doplněk názvu:</label>
  <input type="text" name="team_other" class="form-control" value="<?php echo (empty((file_get_contents('doplnek.txt')))) ? '' : file_get_contents('doplnek.txt'); ?>">
</div>
<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Číslo účtu:</label>
  <input type="text" name="bank_num" class="form-control" value="<?php echo (empty((file_get_contents('cbu.txt')))) ? '' : file_get_contents('cbu.txt'); ?>">
</div>
<div class="col-lg-2 col-md-6">
  <label class="col-form-label">Kód banky:</label>
  <input type="text" name="bank_code" class="form-control" value="<?php echo (empty((file_get_contents('kod.txt')))) ? '' : file_get_contents('kod.txt'); ?>">
</div>
</div>

<div class="row g-4 mb-4">
<div class="col-lg-12 col-md-6">
  <label class="col-form-label">Odkaz na stránky (patička):</label>
  <input type="text" name="team_www" class="form-control" value="<?php echo (empty((file_get_contents('web.txt')))) ? '' : file_get_contents('web.txt'); ?>">
</div>
</div>

<div class="row g-4 mb-4">
<div class="col-lg-4 col-md-6">
  <label class="col-form-label">Jméno odesílatele:</label>
  <input type="text" name="from_name" class="form-control" value="<?php echo (empty((file_get_contents('odesilatel_jmeno.txt')))) ? '' : file_get_contents('odesilatel_jmeno.txt'); ?>">
</div>
<div class="col-lg-4 col-md-6">
  <label class="col-form-label">E-mail odesílatele:</label>
  <input type="email" name="from_mail" class="form-control" value="<?php echo (empty((file_get_contents('odesilatel_mail.txt')))) ? '' : file_get_contents('odesilatel_mail.txt'); ?>">
</div>
<div class="col-lg-4 col-md-6">
  <label class="col-form-label">Předmět zprávy:</label>
  <input type="text" name="from_subject" class="form-control" value="<?php echo (empty((file_get_contents('odesilatel_predmet.txt')))) ? '' : file_get_contents('odesilatel_predmet.txt'); ?>">
</div>
</div>

<div class="row g-4 mb-4">
<div class="col-lg-4 col-md-6">
  <label class="col-form-label">Jméno příjemce:</label>
  <input type="text" name="to_name" class="form-control" value="<?php echo (empty((file_get_contents('prijemce_jmeno.txt')))) ? '' : file_get_contents('prijemce_jmeno.txt'); ?>">
</div>
<div class="col-lg-4 col-md-6">
  <label class="col-form-label">E-mail příjemce:</label>
  <input type="email" name="to_mail" class="form-control" value="<?php echo (empty((file_get_contents('prijemce_mail.txt')))) ? '' : file_get_contents('prijemce_mail.txt'); ?>">
</div>
<div class="col-lg-4 col-md-6">
  <label class="col-form-label">Heslo správce:</label>
  <div class="input-group">
  <input type="password" id="password" name="password" class="form-control" value="">
  <span class="input-group-text small"><i id="toggle" class="fas fa-eye"></i></span>
  </div>
</div>
</div>

<div class="d-grid gap-3 d-sm-block text-center">
<button class="btn btn-sm btn-success" type="submit" name="setup">Uložit nastavení</button>
</div>
</form>
</fieldset>

<div class="bd-callout-warning my-0 mt-4">
  <strong><i class="fas fa-info-circle"></i></strong>Platná e-mailová adresa odesílatele musí být ve stejné doméně jako rezervace, jinak nebude zaručeno doručování e-mailových zpráv. Příjemce je libovolná platná e-mailová adresa. Adresa příjemce je zároveň adresou pro doručení odpovědí.
</div>
<div class="bd-callout-danger my-0 mt-2">
  <strong><i class="fas fa-exclamation-triangle"></i></strong>Heslo je uloženo v zašifrované podobě a proto se zde nezobrazuje. Pro každou změnu ve formuláři je nutné heslo znovu vyplnit a teprve poté formulář se změnami uložit.</b>
</div>
<?php
if (isset($_POST['setup'])) {

	$poradatel = $_POST['team_name'];
	$fp = fopen('poradatel.txt', 'w'); 
	fwrite($fp, $poradatel); 
	fclose($fp);
	
	$doplnek = $_POST['team_other'];
	$fp = fopen('doplnek.txt', 'w'); 
	fwrite($fp, $doplnek); 
	fclose($fp);
	
	$web = $_POST['team_www'];
	$fp = fopen('web.txt', 'w'); 
	fwrite($fp, $web); 
	fclose($fp);

	$cbu = $_POST['bank_num'];
	$fp = fopen('cbu.txt', 'w'); 
	fwrite($fp, $cbu); 
	fclose($fp);
	
	$kod = $_POST['bank_code'];
	$fp = fopen('kod.txt', 'w'); 
	fwrite($fp, $kod); 
	fclose($fp);

	$odesn = $_POST['from_name'];
	$fp = fopen('odesilatel_jmeno.txt', 'w'); 
	fwrite($fp, $odesn); 
	fclose($fp);
	
	$odesm = $_POST['from_mail'];
	$fp = fopen('odesilatel_mail.txt', 'w'); 
	fwrite($fp, $odesm); 
	fclose($fp);

	$odesp = $_POST['from_subject'];
	$fp = fopen('odesilatel_predmet.txt', 'w'); 
	fwrite($fp, $odesp); 
	fclose($fp);
	
	$prijn = $_POST['to_name'];
	$fp = fopen('prijemce_jmeno.txt', 'w'); 
	fwrite($fp, $prijn); 
	fclose($fp);

	$prijm = $_POST['to_mail'];
	$fp = fopen('prijemce_mail.txt', 'w'); 
	fwrite($fp, $prijm); 
	fclose($fp);

	if (!empty($_POST["password"])) {
	$pass = password_hash($_POST['password'], PASSWORD_DEFAULT);
	$fp = fopen('heslo.txt', 'w'); 
	fwrite($fp, $pass); 
	fclose($fp);
	}
	else { die("<div class=\"alert col-12 mt-2\"><span class=\"closebtn\" onclick=\"this.parentElement.style.display='none';\"><span onclick=\"javascript:location.href='nastaveni.php'\">&times;</span></span><strong>Chyba!</strong> Heslo nemůžete nechat prázdné.</div>"); }
	
	echo '<script>window.location="nastaveni.php";</script>';
}
?>
</div>
</div>
</div>

	<!-- footer -->
<footer class="footer pt-3">
<div class="container">
<p class="text-center copyright"><span class="text-muted"><?php echo date("Y"); ?> | mickey & <a class="text-secondary" href="https://www.nway.cz/rezervace">strasidlo</a> | created for shooting</span></p>
</div>
</footer>

	<!-- scripts -->
<script src="js/bootstrap.min.js"></script>
<script>
        const togglePassword = document.querySelector("#toggle");
        const password = document.querySelector("#password");

        togglePassword.addEventListener("click", function () {
            // toggle the type attribute
            const type = password.getAttribute("type") === "password" ? "text" : "password";
            password.setAttribute("type", type);
            
            // toggle the icon
            this.classList.toggle("fa-eye-slash");
        });
</script>
</body>
</html>