<!doctype html>
<?php session_start();
if(!isset($_SESSION['uzivatel']['heslo'])) {header("location:index.php");
exit;}
?>
<html lang="cs">
<head>
<title>Rezervace startovní pozice</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="canonical" href="https://www./">

	<!-- favicons -->
<link rel="shortcut icon" type="image/vnd.microsoft.icon" href=""/>
<meta name="theme-color" content="#ffffff"/>
<meta name="color-scheme" content="dark light"/>

	<!-- css -->
<link rel="stylesheet" href="css/bootstrap.min.css"/>
<link rel="stylesheet" href="css/redips.css"/>
</head>

<body>

<div>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
<div class="container-fluid">
<span class="navbar-brand">REZERVACE</span>
<button type="button" class="navbar-toggler" data-bs-toggle="collapse" data-bs-target="#reserve"><span class="navbar-toggler-icon"></span></button>
<div class="collapse navbar-collapse" id="reserve">
<div class="navbar-nav">
<a href="zavod.php" class="nav-item nav-link">Přehled rezervací</a>
<a href="data.php" class="nav-item nav-link">Upravit rezervace</a>
<a href="zmenit.php" class="nav-item nav-link">Upravit závod</a>
<a href="novy.php" class="nav-item nav-link active">Nový závod</a>
</div>
<div class="navbar-nav d-flex ms-auto">
<a href="odhlasit.php" class="nav-item nav-link">Odhlásit</a>
</div>
</div>
</div>
</nav>
</div>

	<!-- create match -->
<div class="container">
<div class="row">

<div class="col-lg-8 col-md-12 mb-3 mt-3 mx-auto">
<div class="card shadow-sm">
<div class="card-header fw-bold">Vytvořit nový závod</div>
<div class="card-body" style="margin:0">
<form action="" method="post">

<div class="col-lg-12 col-md-6 mb-3">
  <label class="col-form-label">Název závodu:</label>
  <input type="text" name="match_name" class="form-control">
</div>

<div class="row g-3 mb-3">
<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Počet stanovišť:</label>
  <input type="number" name="col_pos" class="form-control" min="1" value="1">
</div>

<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Počet směn:</label>
  <input type="number" name="row_pos" class="form-control" min="1" value="1">
</div>

<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Začátek závodu [hh:mm]:</label>
  <input type="time" name="time_match" min="0" value="09:00" class="form-control">
</div>

<div class="col-lg-3 col-md-6">
<label class="col-form-label">Délka směny [min]:</label>
<select class="form-select" name="delka" id="delka" value="">
  <option>20</option>
  <option>25</option>
  <option>30</option>
  <option>35</option>
  <option>40</option>
  <option>45</option>
</select>
</div>
</div>

<div class="row">
<div class="col-lg-6 col-md-6 mb-3">
<label class="col-form-label">Disciplíny:</label>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vpi" name="vpi" value="[VPi]">
  <label class="form-check-label" for="vpi"> Pistole</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vpa" name="vpa" value="[.45 ACP]">
  <label class="form-check-label" for="vpa"> Pistole .45 ACP</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vre" name="vre" value="[VRe]">
  <label class="form-check-label" for="vre"> Revolver</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vrw" name="vrw" value="[VRe WC]">
  <label class="form-check-label" for="vrw"> Revolver WC</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="upu" name="upu" value="[ÚPu]">
  <label class="form-check-label" for="upu"> Velkorážní puška</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="mpu" name="mpu" value="[MPu]">
  <label class="form-check-label" for="mpu"> Malorážní puška</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="mao" name="mao" value="[MaO]">
  <label class="form-check-label" for="mao"> Malorážní odstřelovací puška</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="k4m" name="k4m" value="[MaO]">
  <label class="form-check-label" for="k4m"> K4M</label>
</div>
</div>

<div class="col-lg-6 col-md-6 mb-3">
<div class="mb-3">
  <label for="poznamka" class="form-label">Poznámka:</label>
  <textarea class="form-control" id="poznamka" name="poznamka" rows="3"></textarea>
</div>
</div>
</div>

<div class="d-grid gap-3 d-sm-block pt-2">
<input class="btn btn-sm btn-success" type="submit" name="settings" value="Vytvořit nový závod">
<button type="button" class="btn btn-sm btn-dark" onclick="javascript:location.href='zavod.php'">Zpět</button>
</div>
</form>

</div>
</div>

<?php
if(isset($_POST['settings'])) {
	if(!empty($_POST['match_name'])) {
	$match_name = $_POST['match_name'];
	$fp = fopen('zavod.txt', 'w'); 
	fwrite($fp, $match_name); 
	fclose($fp);
	}
	else {die("<div class=\"alert col-lg-6\"><span class=\"closebtn\" onclick=\"this.parentElement.style.display='none';\"><span onclick=\"javascript:location.href='novy.php'\">&times;</span></span><strong>Chyba!</strong> Název závodu nemůže být prázdný.</div>");}
	
	if (!empty($_POST['col_pos'])) {
	$col_pos = $_POST['col_pos'];
	$fp = fopen('stanoviste.txt', 'w'); 
	fwrite($fp, $col_pos); 
	fclose($fp);
	}
	else {die("<span style=\"color: red;\">Počet stanovišť nemůže být prázdný.</span>");}
	
	if (!empty($_POST['row_pos'])) {
	$row_pos = $_POST['row_pos'];
	$fp = fopen('smeny.txt', 'w'); 
	fwrite($fp, $row_pos); 
	fclose($fp);
	}
	else {die("<span style=\"color: red;\">Počet směn nemůže být prázdný.</span>");}
	
	if (!empty($_POST['time_match'])) {
	$time_match = $_POST['time_match'];
	$fp = fopen('cas.txt', 'w'); 
	fwrite($fp, $time_match); 
	fclose($fp);
	}
	else {die("<span style=\"color: red;\">Čas závodu nemůže být prázdný.</span>");}
	
	if (!empty($_POST['delka'])) {
	$delka = $_POST['delka'];
	$fp = fopen('delka.txt', 'w'); 
	fwrite($fp, $delka); 
	fclose($fp);
	}

	if (!empty($_POST['poznamka'])) {
	$poznamka = $_POST['poznamka'];
	$fp = fopen('poznamka.txt', 'w'); 
	fwrite($fp, $poznamka); 
	fclose($fp);
	}

	$fp = fopen('tabule.txt', 'w');
	fclose($fp);
	unlink('tabule.txt');
	
	$fp = fopen('zbrane.txt', 'w');
	if (!empty($_POST['vpi'])) {fwrite($fp, $_POST['vpi'].PHP_EOL);}
	if (!empty($_POST['vpa'])) {fwrite($fp, $_POST['vpa'].PHP_EOL);}
	if (!empty($_POST['vre'])) {fwrite($fp, $_POST['vre'].PHP_EOL);}
	if (!empty($_POST['vrw'])) {fwrite($fp, $_POST['vrw'].PHP_EOL);}
	if (!empty($_POST['upu'])) {fwrite($fp, $_POST['upu'].PHP_EOL);}
	if (!empty($_POST['mpu'])) {fwrite($fp, $_POST['mpu'].PHP_EOL);}
	if (!empty($_POST['mao'])) {fwrite($fp, $_POST['mao'].PHP_EOL);}
	if (!empty($_POST['k4m'])) {fwrite($fp, $_POST['k4m'].PHP_EOL);}
	fclose($fp);
	
	$fp = fopen('stav.txt', 'w');
	fwrite($fp, 'on'); 
	fclose($fp);
}
?>

<?php array_map('unlink', glob("../*.txt")); ?>

</div>
</div>
</div>

	<!-- footer -->
<footer class="footer mt-auto py-3">
<div class="container">
<p class="text-center copyright"><?php echo date("Y"); ?> | mickey & <a href="https://www.nway.cz/rezervace" style="color: #212529;">strasidlo</a> | created for shooting</p>
</div>
</footer>
<?php
	if (isset($_COOKIE['tabulka'])) {
	$fp = fopen('tabule.txt', 'w+');
	fwrite($fp, $_COOKIE['tabulka']); 
	fclose($fp); }
?>

	<!-- scripts -->
<script src="js/bootstrap.min.js"></script>
</body>
</html>