<div class="col-lg-8 col-md-12 mb-3 mt-3 mx-auto">
<fieldset class="border rounded-3 px-4 py-3">
<legend class="float-none w-auto px-2 fs-6 fw-bold">Nový závod</legend>
<form action="" method="post">

<div class="row g-3 mb-3">
<div class="col-lg-8 col-md-6">
  <label class="col-form-label">Název závodu:</label>
  <input type="text" name="match_name" class="form-control">
</div>
<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Startovné:</label>
  <div class="input-group">
  <input type="number" name="match_cost" class="form-control" min="0" value="0">
  <span class="input-group-text small">Kč</span>
  </div>
</div>
<div class="col-lg-1 col-md-6 form-check">
  <label class="col-form-label form-check-label" for="qr">QR</label>
  <div style="padding-top: 8px;">
  <input class="form-check-input" style="margin-left: initial;" type="checkbox" id="qr" name="qr" value="[QR]">
  </div>
</div>
</div>

<div class="row g-3 mb-3">
<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Počet stanovišť:</label>
  <input type="number" name="col_pos" class="form-control" min="1" max="15" value="1">
</div>

<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Počet směn:</label>
  <input type="number" name="row_pos" class="form-control" min="1" value="1">
</div>

<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Začátek závodu [hh:mm]:</label>
  <input type="time" name="time_match" min="0" value="09:00" class="form-control">
</div>

<div class="col-lg-3 col-md-6">
<label class="col-form-label">Délka směny [min]:</label>
<select class="form-select" name="delka" id="delka" value="">
  <option>15</option>
  <option>20</option>
  <option>25</option>
  <option>30</option>
  <option>35</option>
  <option>40</option>
  <option>45</option>
  <option>50</option>
  <option>55</option>
</select>
</div>
</div>

<div class="row">
<div class="col-lg-3 col-md-6 mb-3">
<label class="col-form-label">Disciplíny:</label>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vpi" name="vpi" value="[VPi]">
  <label class="form-check-label" for="vpi"> Pistole</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vpa" name="vpa" value="[.45 ACP]">
  <label class="form-check-label" for="vpa"> Pistole .45 ACP</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vre" name="vre" value="[VRe]">
  <label class="form-check-label" for="vre"> Revolver</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vrw" name="vrw" value="[VRe WC]">
  <label class="form-check-label" for="vrw"> Revolver WC</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="pdw" name="pdw" value="[PDW]">
  <label class="form-check-label" for="pdw"> Osobní obranná zbraň</label>
</div>
</div>

<div class="col-lg-4 col-md-6 mb-3">
<label class="col-form-label d-none d-md-block">&nbsp;</label>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="upu" name="upu" value="[ÚPu]">
  <label class="form-check-label" for="upu"> Útočná puška</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vpu" name="vpu" value="[VPu]">
  <label class="form-check-label" for="vpu"> Velkorážní puška</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="opu" name="opu" value="[OPu]">
  <label class="form-check-label" for="opu"> Velkorážní odstřelovací puška</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="sta" name="sta" value="[STD]">
  <label class="form-check-label" for="sta"> Velkorážní puška Standard</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="opa" name="opa" value="[OPEN]">
  <label class="form-check-label" for="opa"> Velkorážní puška Open</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="opc" name="opc" value="[OP]">
  <label class="form-check-label" for="opc"> Velkorážní opakovací puška</label>
</div>
</div>

<div class="col-lg-3 col-md-6 mb-3">
<label class="col-form-label d-none d-md-block">&nbsp;</label>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="spc" name="spc" value="[Spec]">
  <label class="form-check-label" for="spc"> MaO jednoranka</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="rep" name="rep" value="[Repe]">
  <label class="form-check-label" for="rep"> MaO opakovací</label>
</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="k4m" name="k4m" value="[K4M]">
  <label class="form-check-label" for="k4m"> K4M</label>
</div>
</div>
</div>

<div class="row">
<div class="col-lg-12 col-md-6">
<div class="mb-3">
  <label for="poznamka" class="form-label">Poznámka:</label>
  <textarea class="form-control" id="poznamka" name="poznamka" rows="3"></textarea>
</div>
</div>
</div>

<div class="d-grid gap-3 d-sm-block text-center">
<input class="btn btn-sm btn-success" type="submit" name="create" value="Vytvořit nový závod"<?php if (!empty((file_get_contents('zavod.txt')))) { echo ' disabled'; } ?>>
</div>
</form>
</fieldset>

<div class="bd-callout my-0 mt-4">
  <strong><i class="fas fa-qrcode"></i></strong>Výběrem volby <b>QR</b> se zobrazí odkaz na vytvoření QR Platby na hlavní straně pro podávání přihlášek do závodu.
</div>

<?php
if (isset($_POST['create'])) {

	if(!empty($_POST['match_name'])) {
	$match_name = $_POST['match_name'];
	$fp = fopen('zavod.txt', 'w'); 
	fwrite($fp, $match_name); 
	fclose($fp);
	}
	else {die("<div class=\"alert col-lg-6\"><span class=\"closebtn\" onclick=\"this.parentElement.style.display='none';\"><span onclick=\"javascript:location.href='novy.php'\">&times;</span></span><strong>Chyba!</strong> Název závodu nemůže být prázdný.</div>");}

	if ($_POST['match_cost'] >= 0) {
	$match_cost = $_POST['match_cost'];
	$fp = fopen('cena.txt', 'w'); 
	fwrite($fp, $match_cost); 
	fclose($fp);
	}
	else {die("<span style=\"color: red;\">Startovné nemůže být prázdné.</span>");}
	
	if (!empty($_POST['col_pos'])) {
	$col_pos = $_POST['col_pos'];
	$fp = fopen('stanoviste.txt', 'w'); 
	fwrite($fp, $col_pos); 
	fclose($fp);
	}
	else {die("<span style=\"color: red;\">Počet stanovišť nemůže být prázdný.</span>");}
	
	if (!empty($_POST['row_pos'])) {
	$row_pos = $_POST['row_pos'];
	$fp = fopen('smeny.txt', 'w'); 
	fwrite($fp, $row_pos); 
	fclose($fp);
	}
	else {die("<span style=\"color: red;\">Počet směn nemůže být prázdný.</span>");}
	
	if (!empty($_POST['time_match'])) {
	$time_match = $_POST['time_match'];
	$fp = fopen('cas.txt', 'w'); 
	fwrite($fp, $time_match); 
	fclose($fp);
	}
	else {die("<span style=\"color: red;\">Čas závodu nemůže být prázdný.</span>");}
	
	if (!empty($_POST['delka'])) {
	$delka = $_POST['delka'];
	$fp = fopen('delka.txt', 'w'); 
	fwrite($fp, $delka); 
	fclose($fp);
	}

	if (!empty($_POST['poznamka'])) {
	$poznamka = $_POST['poznamka'];
	$fp = fopen('poznamka.txt', 'w'); 
	fwrite($fp, $poznamka); 
	fclose($fp);
	}
	
	$fp = fopen('tabule.txt', 'w');
	fclose($fp);
	unlink('tabule.txt');
	
	$fp = fopen('zbrane.txt', 'w');
	if (!empty($_POST['vpi'])) {fwrite($fp, $_POST['vpi'].PHP_EOL);}
	if (!empty($_POST['vpa'])) {fwrite($fp, $_POST['vpa'].PHP_EOL);}
	if (!empty($_POST['vre'])) {fwrite($fp, $_POST['vre'].PHP_EOL);}
	if (!empty($_POST['vrw'])) {fwrite($fp, $_POST['vrw'].PHP_EOL);}

	if (!empty($_POST['upu'])) {fwrite($fp, $_POST['upu'].PHP_EOL);}	
	if (!empty($_POST['vpu'])) {fwrite($fp, $_POST['vpu'].PHP_EOL);}
	if (!empty($_POST['opu'])) {fwrite($fp, $_POST['opu'].PHP_EOL);}
	if (!empty($_POST['sta'])) {fwrite($fp, $_POST['sta'].PHP_EOL);}
	if (!empty($_POST['opa'])) {fwrite($fp, $_POST['opa'].PHP_EOL);}
	if (!empty($_POST['opc'])) {fwrite($fp, $_POST['opc'].PHP_EOL);}
	if (!empty($_POST['pdw'])) {fwrite($fp, $_POST['pdw'].PHP_EOL);}
	
	if (!empty($_POST['spc'])) {fwrite($fp, $_POST['spc'].PHP_EOL);}
	if (!empty($_POST['rep'])) {fwrite($fp, $_POST['rep'].PHP_EOL);}
	if (!empty($_POST['k4m'])) {fwrite($fp, $_POST['k4m'].PHP_EOL);}
	fclose($fp);
	
	$fp = fopen('stav.txt', 'w');
	fwrite($fp, 'on'); 
	fclose($fp);

	$fp = fopen('qr.txt', 'w');
	if (!empty($_POST['qr'])) {fwrite($fp, $_POST['qr'].PHP_EOL);}
	fclose($fp);

	echo '<script>window.location="zavod.php";</script>';
}
	array_map('unlink', glob("../*.txt"));
?>

</div>