<?php session_start();
if(!isset($_SESSION['uzivatel']['heslo'])) {header("location:index.php");
exit;
}
require 'vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use PhpOffice\PhpSpreadsheet\Style\Border;
use PhpOffice\PhpSpreadsheet\Style\Color;

$locale = 'cs';
$validLocale = \PhpOffice\PhpSpreadsheet\Settings::setLocale($locale);
if (!$validLocale) {
    echo 'Unable to set locale to '.$locale." - reverting to en_us<br />\n";
}
$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();
$sheet->setTitle('Výsledková listina');

$spreadsheet->getProperties()
    ->setCreator("mickey & strasidlo")
    ->setLastModifiedBy("mickey & strasidlo")
    ->setTitle("Výsledková listina")
    ->setSubject("K4M")
    ->setDescription(
        "This document generated using PHP classes."
    )
    ->setKeywords("Střelecká soutěž")
    ->setCategory("Střelecká soutěž");

$spreadsheet->getActiveSheet()->getPageSetup()->setOrientation(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::ORIENTATION_PORTRAIT);
$spreadsheet->getActiveSheet()->getPageSetup()->setPaperSize(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::PAPERSIZE_A4);
$spreadsheet->getActiveSheet()->getPageSetup()->setHorizontalCentered(true);
$spreadsheet->getActiveSheet()->getPageSetup()->setVerticalCentered(false);
	
$spreadsheet->getActiveSheet()->getPageMargins()->setTop(0.65);
$spreadsheet->getActiveSheet()->getPageMargins()->setRight(0.35);
$spreadsheet->getActiveSheet()->getPageMargins()->setLeft(0.35);
$spreadsheet->getActiveSheet()->getPageMargins()->setBottom(0.65);

$nazev = file_get_contents('zavod.txt');
$spreadsheet->getActiveSheet()->getHeaderFooter()->setOddHeader("Výsledková listina - $nazev");

$ohraniceni = array(
    'borders' => array(
        'allBorders' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),
);

$cislo=0;
$p = file_get_contents('tabule.txt');
$json_arr = json_decode($p);
foreach ($json_arr as $key => $hodnota) {
	$cislo++;
	$json_arr[$key][4]=$cislo."*".$hodnota[4];
}
file_put_contents('tabule2.txt', json_encode($json_arr));

$skupina=1;
$pocet=0;
$radek=1;
$p = file_get_contents('tabule2.txt');
$arr = json_decode($p);
$radky=file('zbrane.txt');
$fp = fopen('po_kategorie.txt', 'w+');
foreach ($radky as $line) {
	$hodnota=trim(preg_replace('/\s\s+/', ' ', $line));
	foreach ($arr as $p) {
		$zbrane = substr($p[4],strpos($p[4],'['));
		if ($hodnota==$zbrane){$pocet++;}
		}
		if ($pocet>0) {fwrite($fp, $hodnota.PHP_EOL);$pocet=0;}
	}
fclose($fp);
$radky=file('po_kategorie.txt');

$cislo=2;
$a=1;
	$test=array();
foreach ($radky as $line) {
	$hodnota=trim(preg_replace('/\s\s+/', ' ', $line));
	//$hodnotak = mb_strtoupper($hodnota);
	//$hodnotak = $hodnota;
	$sheet->setCellValue("A".$radek,str_replace("]","",str_replace("[","Disciplína ",$hodnota)));
	$sheet->getRowDimension($radek)->setRowHeight(24, 'px');
	$sheet->getStyle($radek)->getFont()->setSize(12);
	$sheet->getStyle($radek)->getFont()->setBold( true );
	$sheet->getStyle($radek)->getAlignment()->setVertical('center');
	$sheet->getColumnDimension('A')->setWidth(26, 'px');
	$radek++;
	$a=$radek+1;
	$zahlavi=$radek++;
	$sheet->getRowDimension($zahlavi)->setRowHeight(28, 'px'); //záhlaví kategorie
	$sheet->getStyle($zahlavi)->getFont()->setBold( true );
	$sheet->getStyle($zahlavi)->getAlignment()->setVertical('center');
	$sheet->getRowDimension($radek)->setRowHeight(24, 'px');
	$sheet->getStyle($zahlavi)->getAlignment()->setVertical('center');
	$sheet->getStyle($radek)->getAlignment()->setVertical('center');
	$sheet->getColumnDimension('A')->setWidth(40, 'px');
	$sheet->setCellValue("A$zahlavi", "St. č." );
	$sheet->getStyle("A$zahlavi")->getAlignment()->setHorizontal('center');
	$sheet->getColumnDimension('B')->setWidth(159, 'px');
	$sheet->setCellValue("B$zahlavi", "Příjmení a jméno" );
	$sheet->getStyle("B$zahlavi")->getAlignment()->setIndent(1);
	$sheet->getColumnDimension('C')->setWidth(75, 'px');
	$sheet->setCellValue("C$zahlavi", "10" );
	$sheet->getStyle("C$zahlavi")->getAlignment()->setHorizontal('center');
	$sheet->getColumnDimension('D')->setWidth(75, 'px');
	$sheet->setCellValue("D$zahlavi", "9" );
	$sheet->getStyle("D$zahlavi")->getAlignment()->setHorizontal('center');
	$sheet->getColumnDimension('E')->setWidth(75, 'px');
	$sheet->setCellValue("E$zahlavi", "8" );
	$sheet->getStyle("E$zahlavi")->getAlignment()->setHorizontal('center');
	$sheet->getColumnDimension('F')->setWidth(75, 'px');
	$sheet->setCellValue("F$zahlavi", "7" );
	$sheet->getStyle("F$zahlavi")->getAlignment()->setHorizontal('center');
	$sheet->getColumnDimension('G')->setWidth(75, 'px');
	$sheet->setCellValue("G$zahlavi", "Celkem" );
	$sheet->getStyle("G$zahlavi")->getAlignment()->setHorizontal('center');
	$sheet->getColumnDimension('H')->setWidth(75, 'px');
	$sheet->setCellValue("H$zahlavi", "Pořadí" );
	$sheet->getStyle("H$zahlavi")->getAlignment()->setHorizontal('center');
	$sheet->getStyle('A'.$zahlavi.':H'.$zahlavi)->applyFromArray($ohraniceni);
	$sheet->getStyle('A'.$zahlavi.':H'.$zahlavi)->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('FFD9D9D9');

	foreach ($arr as $p) {
		$start=substr($p[4],0,strpos($p[4],'*')+1);
		$jmenocele=str_replace($start,"",substr($p[4],0,strpos($p[4],'-')-1));
		$krestni = substr($jmenocele,0,strpos($jmenocele,' '));
		$prijmeni = ltrim(str_replace($krestni,"",$jmenocele));
		$zbranea = substr($p[4],strpos($p[4],'['));
		
		if ($hodnota==$zbranea) {
			//$start++;
			$sheet->setCellValue("B".$radek,$prijmeni." ".$krestni);
			$radek++;
			$sheet->getColumnDimension('B')->setWidth(131, 'px');
			$sheet->getStyle('B')->getAlignment()->setIndent(1);
			$sheet->getRowDimension($radek)->setRowHeight(24, 'px');
			$sheet->getStyle($radek)->getAlignment()->setVertical('center');
			$styl=$radek-1;
			$sheet->getStyle('A'.$styl.':H'.$styl)->applyFromArray($ohraniceni);
			$sheet->getStyle('A'.$styl)->getAlignment()->setHorizontal('center');
			$sheet->setCellValue('A'.$styl , str_replace('*','',$start));
			$sheet->getStyle('C')->getAlignment()->setHorizontal('center');
			$sheet->getStyle('D')->getAlignment()->setHorizontal('center');
			$sheet->getStyle('E')->getAlignment()->setHorizontal('center');
			$sheet->getStyle('F')->getAlignment()->setHorizontal('center');
			$sheet->getStyle('G')->getAlignment()->setHorizontal('center');
			$sheet->getStyle('H')->getAlignment()->setHorizontal('center');
			$sheet->getStyle('H'.$styl)->getFont()->setBold( true );
			$sheet->setCellValue('G'.$styl , '=SUM(C'.$styl.':F'.$styl.')');
			}
		}
		for ($x=0;$x+$a<=$styl;$x++){$soucet=$a+$x;$sheet->setCellValue('H'.$soucet, '=RANK(G'.$soucet.',G'.$a.':G'.$styl.')');}
		$sheet->getRowDimension($radek++)->setRowHeight(24, 'px');
	}

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="vysledkova_listina.xlsx"');
header('Cache-Control: max-age=0');
ob_end_clean();
$writer = \PhpOffice\PhpSpreadsheet\IOFactory::createWriter($spreadsheet, 'Xlsx');
$writer->save('vysledkova_listina.xlsx');
$writer->save('php://output');
unlink('po_kategorie.txt');
unlink('tabule2.txt');
exit();
?>