<!doctype html>
<?php session_start();
?>
<html lang="cs">
<head>
<title>Rezervace startovní pozice</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="canonical" href="https://www./">

	<!-- favicons -->
<link rel="shortcut icon" type="image/vnd.microsoft.icon" href=""/>
<meta name="theme-color" content="#ffffff"/>
<meta name="color-scheme" content="dark light"/>

	<!-- css -->
<link rel="stylesheet" href="css/bootstrap.min.css"/>
<link rel="stylesheet" href="css/redips.css"/>

	<!-- script -->
<script type="text/javascript" src="js/redips-drag-min.js"></script>
<script type="text/javascript" src="js/script.js"></script>
</head>

<body onload="redips.button()">

<div>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
<div class="container-fluid">
<span class="navbar-brand">REZERVACE</span>
<button type="button" class="navbar-toggler" data-bs-toggle="collapse" data-bs-target="#reserve"><span class="navbar-toggler-icon"></span></button>
<div class="collapse navbar-collapse" id="reserve">
<div class="navbar-nav">
<a href="zavod.php" class="nav-item nav-link active">Přehled rezervací</a>
<a href="data.php" class="nav-item nav-link">Upravit rezervace</a>
<a href="zmenit.php" class="nav-item nav-link">Upravit závod</a>
<a href="novy.php" class="nav-item nav-link">Nový závod</a>
</div>
<div class="navbar-nav d-flex ms-auto">
<a href="odhlasit.php" class="nav-item nav-link">Odhlásit</a>
<?php echo '<span class="text-muted nav-item nav-link">'.phpversion().'</span>'; ?>
</div>
</div>
</div>
</nav>
</div>

	<!-- create table match -->
<div class="container">
<div class="row">

<div class="col-lg-12 col-md-6 mb-3 mt-3">

<div class="card shadow-sm">
<div class="card-header fw-bold">Současný závod &raquo; <span style="color:#b22222"><?php echo file_get_contents("zavod.txt");?></span></div>

	<!-- tables inside this DIV could have draggable content -->
<div id="redips-drag" class="card-body">
<table id="table1">
<colgroup><col width="120"/><?php 
	$sl=0;
	$radky=intval(file_get_contents('smeny.txt'));
	$sloupce=intval(file_get_contents('stanoviste.txt'));
	$cas=file_get_contents('cas.txt');
	$delka=intval(file_get_contents('delka.txt'))*60;
	$colgroup=1320/$sloupce;
	for ($xyz=1; $xyz <= $sloupce; $xyz++)
		{echo '<col width="'.$colgroup.'"/>';} ?>
</colgroup>

<?php 
	echo '<tr><th class="redips-trash">Smazat</th>';
	for ($xy=1; $xy <= $sloupce; $xy++)
		{echo '<th class="redips-mark"><h3>'.$xy.'</h3></th>';}
		echo '</tr>'.PHP_EOL;

		for ($x=1; $x <= $radky; $x++)
			{if ($x % 2) {echo '<tr>'.PHP_EOL;}
			 else {echo '<tr>'.PHP_EOL;}
				if ($x==1) {$cas1=strtotime($cas);}
				else {$cas1=$cas2;}
				$cas2= $cas1+$delka;
				echo '<th class="redips-mark">Směna '.$x.'<br><small>'.StrFTime("%H:%M",$cas1).'-'.StrFTime("%H:%M",$cas2).'</small></th>'.PHP_EOL;
				for ($y=1; $y <= $sloupce; $y++)
				{$sl+=1;
				echo '<td></td>'.PHP_EOL;}
				echo '</tr>'.PHP_EOL;}
?>
</table>

<div class="d-grid gap-3 d-sm-block">
<button type="button" class="btn btn-sm btn-success" onclick="redips.save('json')">Uložit provedené změny</button>
</div>

</div>
</div>
</div>
</div>
</div>

	<!-- footer -->
<footer class="footer mt-auto py-3">
<div class="container">
<p class="text-center copyright"><?php echo date("Y"); ?> | mickey & <a href="https://www.nway.cz/rezervace" style="color: #212529;">strasidlo</a> | created for shooting</p>
</div>
</footer>

<form id="f1" method="post">
<input type="hidden" id="p1" name="p1" value="" action="">
</form>	

	<!-- scripts -->
<script>
	if (localStorage.getItem('tabulex')) {document.getElementById('p1').value =localStorage.getItem('tabulex');
	document.getElementById("f1").submit();}
	localStorage.removeItem('tabulex');
</script>
<?php
	if (isset($_POST["p1"])) {
	$fp = fopen('tabule.txt', 'w+');
	fwrite($fp, $_POST['p1']);
	fclose($fp);
	}
?>
<script src="js/bootstrap.min.js"></script>
</body>
</html>