<!doctype html>
<html lang="cs">
<head>
<title>Rezervace startovní pozice</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="canonical" href="<?php echo file_get_contents('admin/web.txt')?>">

	<!-- favicons -->
<link rel="shortcut icon" type="image/vnd.microsoft.icon" href="favicon.ico">
<link rel="icon" type="image/x-icon" href="favicon.ico">
<meta name="theme-color" content="#ffffff">
<meta name="color-scheme" content="light dark">

	<!-- css -->
<link rel="stylesheet" href="admin/css/bootstrap.min.css">
<link rel="stylesheet" href="admin/css/style.css">

</head>

<body>

	<!-- wrapper -->
<div id="kontakt" class="wrapper">

	<!-- header -->
<header class="header">
<div class="navbar-area">
<div class="container">

</div>
</div>
</header>

	<!-- main -->
<div class="wrapper main-style">
<div class="container-fluid">
<div class="row flex-row-reverse">
<div class="content-sidebar">

	<!-- form -->
<div class="row">
<div class="col-lg-4 col-md-6 offset-lg-2">
<div class="login-form p-lg-4">
<div class="row g-3">
<h4>Kontaktní formulář pro změnu rezervace </h4><div class="fw-bold">pozice do závodu &raquo; <span style="color:#b22222"><?php echo file_get_contents("admin/zavod.txt");?></span></div>
<div class="col-12">
<p style="font-size: 18px">Děkujeme, že nám tímto pomáháte zlepšit průběh vlastní registrace závodníků.</p>
</div>
<span class="form-text text-muted">Prosíme o vyplnění všech údajů abychom byli schopni Váš požadavek správně zpracovat. Po zpracování budou všechny údaje vymazány. Děkujeme za pochopení.</span>
<div class="col-12">
<p style="font-size: 18px">Vrátit se na stránky <a class="link" href="index.php">rezervace</a>.</p>
</div>
</div>
</div>
</div>

<div class="col-lg-4 col-md-6">
<?php
$rdir = str_replace("\\", "/", __DIR__);
require $rdir.'/PHPMailer/src/PHPMailer.php';
require $rdir.'/PHPMailer/src/Exception.php';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

date_default_timezone_set('Europe/Prague');

if (isset($_POST['submit']) AND empty($_POST['antispam'])) {
$mail = new PHPMailer();
$mail->SetLanguage('cs', 'PHPMailer/language/');
$mail->isMail();
$mail->CharSet = 'UTF-8';

$odem = file_get_contents('admin/odesilatel_mail.txt');
$oden = file_get_contents('admin/odesilatel_jmeno.txt');
$prim = file_get_contents('admin/prijemce_mail.txt');
$prin = file_get_contents('admin/prijemce_jmeno.txt');

$mail->setFrom($odem, $oden);
$mail->addAddress($prim, $prin);
//$mail->addAddress($_POST['email'], $_POST['name']);
$mail->addReplyTo($_POST['email'], $_POST['name']);

$mail->isHTML(true);
$mail->Subject = file_get_contents('admin/odesilatel_predmet.txt');
$mail->Body = nl2br($_POST['message']);

if (empty(trim($_POST['name']))) {
	echo '<div class="alert alert-warning alert-dismissible fade show mt-3" role="alert">
	Není vyplněno jméno a příjmení.
	<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
	</div>'.PHP_EOL; }

elseif (empty(trim($_POST['email']))) {
	echo '<div class="alert alert-warning alert-dismissible fade show mt-3" role="alert">
	Není vyplněna e-mailová adresa.
	<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
	</div>'.PHP_EOL; }
	
elseif (!$mail->send()) {
	echo '<div class="alert alert-warning alert-dismissible fade show mt-3" role="alert">
	'.$mail->ErrorInfo.'
	<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
	</div>'.PHP_EOL;
} else {
    echo '<div class="alert alert-success alert-dismissible fade show mt-3" role="alert">
	Vaše zpráva byla úspěšně odeslána. Děkujeme.
	<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
	</div>'.PHP_EOL;
    header('Refresh: 5; URL=/reserve/kontakt.php');
	exit; }
}
?>
<div class="p-lg-4">
<form action="" method="post" class="row g-3">
<input name="antispam" value="" type="hidden">
<div class="col-lg-6 col-md-6">
<label class="col-form-label">Jméno a příjmení:</label>
<input type="text" name="name" class="form-control" value="<?= htmlspecialchars($_POST['name'] ?? '') ?>">
</div>
<div class="col-lg-6 col-md-6">
<label class="col-form-label">E-mailová adresa:</label>
<input type="email" name="email" class="form-control" value="<?= htmlspecialchars($_POST['email'] ?? '') ?>" placeholder="@">
</div>
<div class="col-lg-12 col-md-6">
<label for="message" class="form-label">Obsah zprávy:</label>
<textarea class="form-control" id="message" name="message" rows="5"></textarea>
</div>
<div class="d-grid gap-3 d-md-flex justify-content-md-center mb-2 pt-2">
<button class="btn btn-success" type="submit" id="submit" name="submit">Odeslat požadavek</button>
</div>
</form>
</div>
</div>
</div>

</div>
</div>
</div>
</div>
</div>

	<!-- footer -->
<footer class="footer mt-auto py-3">
<div class="container">
<p class="text-center copyright"><span class="text-muted"><?php echo date("Y"); ?> | <a class="text-secondary" href="<?php echo file_get_contents('admin/web.txt'); ?>"><?php echo file_get_contents('admin/poradatel.txt'); ?> <span style="text-transform: lowercase;"><?php echo file_get_contents('admin/doplnek.txt'); ?></span></a> | mickey & <a class="text-secondary" href="https://www.nway.cz/rezervace">strasidlo</a> | created for shooting</span></p>
</div>
</footer>

	<!-- scripts -->
<script src="admin/js/bootstrap.min.js"></script>
</body>
</html>