<!doctype html>
<html lang="cs">
<head>
<title>Rezervace startovní pozice</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="canonical" href="<?php echo file_get_contents('admin/web.txt')?>">

	<!-- favicons -->
<link rel="shortcut icon" type="image/vnd.microsoft.icon" href="favicon.ico">
<link rel="icon" type="image/x-icon" href="favicon.ico">
<meta name="theme-color" content="#ffffff">
<meta name="color-scheme" content="dark light">

	<!-- css -->
<link rel="stylesheet" href="admin/css/bootstrap.min.css">
<link rel="stylesheet" href="admin/css/style.css">
<style>
html { scrollbar-color: #d2d2d2 #fcfcfc; scrollbar-width: thin; }
body { padding: 20px; margin-bottom: 0 }
</style>
</head>

<body>

<div class="row">
<div class="col-lg-4 col-md-6 offset-lg-4">
	<!-- QR form for payment -->
<form method="post" class="row g-1">
  <h5>Vaše QR Platba</h5>
  <div class="col-lg-6 col-md-6">
    <label class="col-form-label">Jméno:</label>
    <input type="text" name="jmeno" class="form-control">
  </div>
  <div class="col-lg-6 col-md-6">
    <label class="col-form-label">Příjmení:</label>
    <input type="text" name="prijmeni" class="form-control">
  </div>
  <div class="col-lg-6 col-md-6 mb-1">
    <label class="col-form-label">Počet startů:</label>
    <input type="number" name="pocet" class="form-control" min="1" value="1">
  </div>
  <small class="form-text text-secondary">Vyplňte jméno a příjmení, počet startů a stiskněte tlačítko pro vytvoření QR kódu nebo pro zobrazení platebních údajů.</small>
  <div class="d-grid gap-3 d-md-flex justify-content-md-center mb-2 pt-2">
    <button class="btn btn-success" type="submit" id="vytvor" name="vytvor" title="Vytvořit QR Platbu">Vytvořit QR Platbu</button>
	<button class="btn btn-secondary" type="submit" id="zobraz" name="zobraz" title="Zobrazit platební údaje">Zobrazit platební údaje</button>
  </div>
</form>

<?php
if (isset($_POST['vytvor'])) {
$nazev = file_get_contents('admin/zavod.txt');
$castka = file_get_contents('admin/cena.txt');
$ucet = file_get_contents('admin/cbu.txt');
$banka = file_get_contents('admin/kod.txt');
$jmeno = $_POST['jmeno'];
$prijmeni = $_POST['prijmeni'];
$pocet = $_POST['pocet'];

if (file_exists('admin/tabule.txt')) { $uhrnem = $castka * $pocet; } else { $uhrnem = 0; }
	echo '<div class="text-center mb-3">' . "\n";
	echo '<img src="https://api.paylibo.com/paylibo/generator/czech/image?compress=false&size=200&accountNumber=' . $ucet . '&bankCode=' . $banka . '&amount='.number_format($uhrnem,2,'.',' ').'&currency=CZK&message='.$nazev.' - '.$jmeno.' '.$prijmeni.'" alt="QR Platba">' . "\n";
	echo '</div>' . "\n";
	echo '<div class="row g-0">' . "\n";
	if (empty($jmeno) or empty($prijmeni)) {
	echo '<ul class="list-unstyled">' . "\n";
	echo '<li><span class="small text-danger">Není vyplňeno jméno a příjmení.</span></li>' . "\n";
	echo '</ul>' . "\n"; }
	echo '<hr>' . "\n";
	echo '<span class="form-text text-secondary">Platbu je nutné provést nejpozději do 7 dnů od odeslání přihlášky do závodu.</span>' . "\n";
	echo '</div>' . "\n";
}

if (isset($_POST['zobraz'])) {
$nazev = file_get_contents('admin/zavod.txt');
$castka = file_get_contents('admin/cena.txt');
$ucet = file_get_contents('admin/cbu.txt');
$banka = file_get_contents('admin/kod.txt');
$jmeno = $_POST['jmeno'];
$prijmeni = $_POST['prijmeni'];
$pocet = $_POST['pocet'];

if (file_exists('admin/tabule.txt')) { $uhrnem = $castka * $pocet; } else { $uhrnem = 0; }
	echo '<div class="row g-0 mt-1">' . "\n";
	echo '<ul class="list-unstyled">' . "\n";
	echo '<li class="py-1">Platební údaje:</li>' . "\n";
	echo '<li><span class="small text-secondary">Výše startovného: <strong>' . $uhrnem . ' Kč</strong></span></li>' . "\n";
	echo '<li><span class="small text-secondary">Číslo účtu: <strong>' . $ucet . '/' . $banka . '</strong></span></li>' . "\n";	
	if (empty($jmeno) or empty($prijmeni)) { echo '<li><span class="small text-secondary">Poznámka k platbě: </span><span class="small text-danger">Není vyplňeno jméno a příjmení.</span></li>' . "\n"; }
	else {	echo '<li><span class="small text-secondary">Poznámka k platbě: <strong>' . $nazev . ' - ' . $jmeno . ' ' . $prijmeni . '</strong></span></li>' . "\n"; }
	echo '</ul>' . "\n";
	echo '<hr>' . "\n";
	echo '<span class="form-text text-secondary">Platbu je nutné provést nejpozději do 7 dnů od odeslání přihlášky do závodu.</span>' . "\n";
	echo '</div>' . "\n";
}
?>
	<!-- QR form for payment -->
</div>
</div>

</body>
</html>