<?php session_start();
if(!isset($_SESSION['uzivatel']['heslo'])) {header("location:index.php");
exit;
}
require 'vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use PhpOffice\PhpSpreadsheet\Style\Border;
use PhpOffice\PhpSpreadsheet\Style\Color;
\PhpOffice\PhpSpreadsheet\Cell\Cell::setValueBinder(new \PhpOffice\PhpSpreadsheet\Cell\AdvancedValueBinder()); //zalamování buněk

$locale = 'cs';
$validLocale = \PhpOffice\PhpSpreadsheet\Settings::setLocale($locale);
if (!$validLocale) {
    echo 'Unable to set locale to '.$locale." - reverting to en_us<br />\n";
}
$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();
$sheet->setTitle('Startovní listina');

$spreadsheet->getProperties()
    ->setCreator("mickey & strasidlo")
    ->setLastModifiedBy("mickey & strasidlo")
    ->setTitle("Startovní listina")
    ->setSubject("Přehled obsazení střelnice")
    ->setDescription(
        "This document generated using PHP classes."
    )
    ->setKeywords("Střelecká soutěž")
    ->setCategory("Soutěžní plán");

$spreadsheet->getActiveSheet()->getPageSetup()->setOrientation(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::ORIENTATION_LANDSCAPE);
$spreadsheet->getActiveSheet()->getPageSetup()->setPaperSize(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::PAPERSIZE_A4);
$spreadsheet->getActiveSheet()->getPageSetup()->setHorizontalCentered(true);
$spreadsheet->getActiveSheet()->getPageSetup()->setVerticalCentered(false);
	
$spreadsheet->getActiveSheet()->getPageMargins()->setTop(0.6);
$spreadsheet->getActiveSheet()->getPageMargins()->setRight(0.5);
$spreadsheet->getActiveSheet()->getPageMargins()->setLeft(0.5);
$spreadsheet->getActiveSheet()->getPageMargins()->setBottom(0.5);

$nazev = file_get_contents('zavod.txt');
$spreadsheet->getActiveSheet()->getHeaderFooter()->setOddHeader($nazev);

$ohraniceni = array(
    'borders' => array(
        'allBorders' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),
);

$pismeno="B";
$radek=0;
$smena_a=array();
$pozice_a=array();
$maxsmena=0;
$maxpozice=0;
$udaje="";
$pozice2="";
$cislo=2;
$smenymax=intval(file_get_contents('smeny.txt'));
$pozicemax=file_get_contents('stanoviste.txt');
$p = file_get_contents('tabule.txt');

$arr = json_decode($p);

// sloupce
$rows=880/$pozicemax;
$sheet->getColumnDimension('A')->setWidth(32, 'px'); // užší legenda, výchozí je 64 px
for ($x=1;$x<=$pozicemax;$x++){$sheet->setCellValue($pismeno."1","".$x)->getStyle($pismeno."1","".$x)->applyFromArray($ohraniceni)->getFont()->setSize(18)->setBold(true);$pismeno++;}
$pismeno="B";
for ($x=1;$x<=$pozicemax;$x++){$sheet->getStyle($pismeno."1","".$x)->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('FFD9D9D9');$pismeno++;}
$pismeno="B";
for ($x=1;$x<=$pozicemax;$x++){$sheet->getStyle($pismeno."1","".$x)->getAlignment()->setHorizontal('center')->setVertical('center');$pismeno++;}
$pismeno="B";
for ($x=1;$x<=$pozicemax;$x++){$sheet->getColumnDimension($pismeno,$x)->setWidth($rows, 'px');$pismeno++;}
// řádky
$cols=670/$smenymax;
$sheet->getRowDimension("1")->setRowHeight(32, 'px'); // širší legenda, výchozí je 42 px nebo oprava 31 px pro A4
for ($x=1;$x<=$smenymax;$x++){$sheet->setCellValue("A".$cislo++,"".$x);}
$cislo=2;
for ($x=1;$x<=$smenymax;$x++){$sheet->getStyle("A".$cislo++,"".$x)->applyFromArray($ohraniceni)->getFont()->setSize(18)->setBold(true);}
$cislo=2;
for ($x=1;$x<=$smenymax;$x++){$sheet->getStyle("A".$cislo++,"".$x)->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('FFD9D9D9');}
$cislo=2;
for ($x=1;$x<=$smenymax;$x++){$sheet->getStyle("A".$cislo++,"".$x)->getAlignment()->setHorizontal('center')->setVertical('center');}
$cislo=2;
for ($x=1;$x<=$smenymax;$x++){$sheet->getRowDimension($cislo++,"".$x)->setRowHeight($cols, 'px');}

$start = 0; // startovní číslo
foreach ($arr as $p) {
	$smena = $p[1];
	$pozice = $p[2];
	$uhradap = $p[3];
	$uhrada="";
	$klub="";
	$start++; // startovní číslo
	
	if ($uhradap=="t2") {$uhrada="ANO";} else {$uhrada="NE";}
	$jmeno = substr($p[4],0,strpos($p[4],'-')-1);
	$zbrana = substr($p[4],strpos($p[4],'['));
	$zbran = str_replace("]","",str_replace("[","",substr($p[4],strpos($p[4],'['))));
	$klub = rtrim(substr(str_replace($zbrana,"",$p[4]),strpos($p[4],'-')+2)," ");
	
	$smena2=intval(preg_replace('/[^A-Za-z0-9\-]/', '',$smena));
	$smena2=$smena2+1;
	$pozice2=intval(preg_replace('/[^A-Za-z0-9\-]/', '',$pozice));
	
	if ($pozice2=="1"){$radekpismeno="B";}
	if ($pozice2=="2"){$radekpismeno="C";}
	if ($pozice2=="3"){$radekpismeno="D";}
	if ($pozice2=="4"){$radekpismeno="E";}
	if ($pozice2=="5"){$radekpismeno="F";}
	if ($pozice2=="6"){$radekpismeno="G";}
	if ($pozice2=="7"){$radekpismeno="H";}
	if ($pozice2=="8"){$radekpismeno="I";}
	if ($pozice2=="9"){$radekpismeno="J";}
	if ($pozice2=="10"){$radekpismeno="K";}
	if ($pozice2=="11"){$radekpismeno="L";}
	if ($pozice2=="12"){$radekpismeno="M";}
	if ($pozice2=="13"){$radekpismeno="N";}
	if ($pozice2=="14"){$radekpismeno="O";}
	if ($pozice2=="15"){$radekpismeno="P";}
	
	//$sheet->setCellValue($radekpismeno.$smena2, $jmeno."/".$klub." - ".$zbran." (".$uhrada.")");
	//$sheet->setCellValue($radekpismeno.$smena2, $jmeno."\n".$klub."\n[".$zbran."] (".$uhrada.")");
	$sheet->setCellValue($radekpismeno.$smena2, $jmeno."\n[".$zbran."] - $start"); // 3× startovní číslo
	$sheet->getStyle($radekpismeno.$smena2, $jmeno."\n[".$zbran."] - $start")->getAlignment()->setHorizontal('center')->setVertical('center');
	$sheet->getStyle($radekpismeno.$smena2, $jmeno."\n[".$zbran."] - $start")->getFont()->setBold(true);
}
$pismeno="B";
$smenymax2=$smenymax+1;
for ($x=1;$x<$pozicemax;$x++){$pismeno++;}
$sheet->getStyle("B1:".$pismeno.$smenymax2)->applyFromArray($ohraniceni);

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="listina-A4.xlsx"');
header('Cache-Control: max-age=0');
ob_end_clean();
$writer = \PhpOffice\PhpSpreadsheet\IOFactory::createWriter($spreadsheet, 'Xlsx');
$writer->save('listina-A4.xlsx');
$writer->save('php://output');
exit();
?>
 
 