<!doctype html>
<?php session_start();
if(!isset($_SESSION['uzivatel']['heslo'])) {header("location:index.php");exit;}
?>
<html lang="cs">
<head>
<title>Rezervace startovní pozice</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="canonical" href="https://www./">

	<!-- favicons -->
<link rel="shortcut icon" type="image/vnd.microsoft.icon" href=""/>
<meta name="theme-color" content="#ffffff"/>
<meta name="color-scheme" content="dark light"/>

	<!-- css -->
<link rel="stylesheet" href="css/bootstrap.min.css"/>
<link rel="stylesheet" href="css/redips.css"/>
</head>

<body>

<div>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
<div class="container-fluid">
<span class="navbar-brand">REZERVACE</span>
<button type="button" class="navbar-toggler" data-bs-toggle="collapse" data-bs-target="#reserve"><span class="navbar-toggler-icon"></span></button>
<div class="collapse navbar-collapse" id="reserve">
<div class="navbar-nav">
<a href="zavod.php" class="nav-item nav-link">Přehled rezervací</a>
<a href="data.php" class="nav-item nav-link">Upravit rezervace</a>
<a href="zmenit.php" class="nav-item nav-link active">Upravit závod</a>
<a href="novy.php" class="nav-item nav-link">Nový závod</a>
</div>
<div class="navbar-nav d-flex ms-auto">
<a href="odhlasit.php" class="nav-item nav-link">Odhlásit</a>
</div>
</div>
</div>
</nav>
</div>

	<!-- edit match -->
<div class="container">
<div class="row">
<div class="col-lg-8 col-md-6 offset-lg-2 mb-3 field mt-3">
<div class="login-form card shadow-sm">
<div class="card-header fw-bold">Změna nastavení stávajícího závodu</div>
<form action="" method="post" class="card-body" style="margin:0">

<div class="col-lg-12 col-md-6 mb-3">
  <label class="col-form-label">Název závodu:</label>
  <input type="text" name="match_name" class="form-control" value="<?php $zavod=file_get_contents('zavod.txt');echo $zavod;?>">
</div>

<div class="row g-3 mb-3">
<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Počet stanovišť:</label>
  <input type="number" name="col_pos" class="form-control" min="1" value="<?php $stanoviste=intval(file_get_contents('stanoviste.txt'));echo $stanoviste;?>">
</div>

<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Počet směn:</label>
  <input type="number" name="row_pos" class="form-control" min="1" value="<?php $smeny=intval(file_get_contents('smeny.txt'));echo $smeny;?>">
</div>

<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Začátek závodu [hh:mm]:</label>
  <input type="time" name="time_match" min="0" value="<?php $cas=file_get_contents('cas.txt');echo $cas;?>" class="form-control">
</div>

<div class="col-lg-3 col-md-6">
<label class="col-form-label">Délka směny [min]:</label>
<select class="form-select" name="delka" id="delka" value="">

<?php 
$delka=file_get_contents('delka.txt');

  if ($delka==20) {echo '<option value="20" selected>20</option>';} else {echo '<option value="20">20</option>';}
  if ($delka==25) {echo '<option value="25" selected>25</option>';} else {echo '<option value="25">25</option>';}
  if ($delka==30) {echo '<option value="30" selected>30</option>';} else {echo '<option value="30">30</option>';}
  if ($delka==35) {echo '<option value="35" selected>35</option>';} else {echo '<option value="35">35</option>';}
  if ($delka==40) {echo '<option value="40" selected>40</option>';} else {echo '<option value="40">40</option>';}
  if ($delka==45) {echo '<option value="45" selected>45</option>';} else {echo '<option value="45">45</option>';}
?>

</select>
</div>
</div>

<div class="row g-3 mb-3">
<div class="col-lg-6 col-md-6 mb-3">
<label class="col-form-label">Disciplíny:</label>

<?php 
$radky=file('zbrane.txt');
$vpi="";
$vpa="";
$vre="";
$vrw="";
$upu="";
$mpu="";
$mao="";
$k4m="";

foreach ($radky as $line)
	{$hodnota=trim(preg_replace('/\s\s+/', ' ', $line));
	if ($hodnota=="[VPi]") {$vpi="checked";};
	if ($hodnota=="[.45 ACP]") {$vpa="checked";};
	if ($hodnota=="[VRe]") {$vre="checked";};
	if ($hodnota=="[VRe WC]") {$vrw="checked";};
	if ($hodnota=="[ÚPu]") {$upu="checked";};
	if ($hodnota=="[MPu]") {$mpu="checked";};
	if ($hodnota=="[MaO]") {$mao="checked";};
	if ($hodnota=="[K4M]") {$k4m="checked";};
	}	
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vpi" name="vpi" value="[VPi]" '.$vpi.'>
  <label class="form-check-label" for="vpi"> Pistole</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vpa" name="vpa" value="[.45 ACP]" '.$vpa.'>
  <label class="form-check-label" for="vpa"> Pistole .45 ACP</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vre" name="vre" value="[VRe]" '.$vre.'>
  <label class="form-check-label" for="vre"> Revolver</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vrw" name="vrw" value="[VRe WC]" '.$vrw.'>
  <label class="form-check-label" for="vrw"> Revolver WC</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="upu" name="upu" value="[ÚPu]" '.$upu.'>
  <label class="form-check-label" for="upu"> Velkorážní puška</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="mpu" name="mpu" value="[MPu]" '.$mpu.'>
  <label class="form-check-label" for="mpu"> Malorážní puška</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="mao" name="mao" value="[MaO]" '.$mao.'>
  <label class="form-check-label" for="mao"> Malorážní odstřelovací puška</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="k4m" name="k4m" value="[K4M]" '.$k4m.'>
  <label class="form-check-label" for="k4m"> K4M</label>
</div>';
?>

</div>

<div class="col-lg-6 col-md-6 mb-3">
<div class="mb-2">
  <label for="poznamka" class="form-label">Poznámka:</label>
  <textarea class="form-control" id="poznamka" name="poznamka" rows="3"><?php $poznamka=file_get_contents('poznamka.txt');echo $poznamka;?></textarea>
</div>


<label class="col-form-label">Stav rezervace:</label>
<?php 
$stav=file_get_contents('stav.txt');
  echo '<div class="form-check">'.PHP_EOL;
	if ($stav=='on') {echo '<input class="form-check-input" type="radio" name="stav" id="on" value="on" checked>'.PHP_EOL;} else {echo '<input class="form-check-input" type="radio" name="stav" id="on" value="on">'.PHP_EOL;}
	echo '<label class="form-check-label" for="on"> Spuštěna</label>'.PHP_EOL;
  echo '</div>'.PHP_EOL;
  
  echo '<div class="form-check">'.PHP_EOL;
	if ($stav=='wait') {echo '<input class="form-check-input" type="radio" name="stav" id="wait" value="wait" checked>'.PHP_EOL;} else {echo '<input class="form-check-input" type="radio" name="stav" id="wait" value="wait">'.PHP_EOL;}
	echo '<label class="form-check-label" for="wait"> Připravujeme</label>'.PHP_EOL;
  echo '</div>'.PHP_EOL;
  
  echo '<div class="form-check">'.PHP_EOL;
	if ($stav=='off') {echo '<input class="form-check-input" type="radio" name="stav" id="off" value="off" checked>'.PHP_EOL;} else {echo '<input class="form-check-input" type="radio" name="stav" id="off" value="off">'.PHP_EOL;}
	echo '<label class="form-check-label" for="off"> Uzavřena</label>'.PHP_EOL;
  echo '</div>'.PHP_EOL;
?>
</div>

<div class="d-grid gap-3 d-sm-block pt-2">
<input class="btn btn-sm btn-success" type="submit" name="change" value="Uložit provedené změny">
<button type="button" class="btn btn-sm btn-dark" onclick="javascript:location.href='zavod.php'">Zpět</button>
</div>
</form>

</div>
</div>
<?php
if(isset($_POST['change'])) {
	
	echo "<meta http-equiv='refresh' content='0'>";
	
	if(!empty($_POST['match_name'])) {
	$match_name = $_POST['match_name'];
	$fp = fopen('zavod.txt', 'w'); 
	fwrite($fp, $match_name); 
	fclose($fp);
	}
	
	if (!empty($_POST['col_pos'])) {
	$col_pos = $_POST['col_pos'];
	$fp = fopen('stanoviste.txt', 'w'); 
	fwrite($fp, $col_pos); 
	fclose($fp);
	}
	
	if (!empty($_POST['row_pos'])) {
	$row_pos = $_POST['row_pos'];
	$fp = fopen('smeny.txt', 'w'); 
	fwrite($fp, $row_pos); 
	fclose($fp);
	}
	
	if (!empty($_POST['time_match'])) {
	$time_match = $_POST['time_match'];
	$fp = fopen('cas.txt', 'w'); 
	fwrite($fp, $time_match); 
	fclose($fp);
	}
	
	if (!empty($_POST['delka'])) {
	$delka = $_POST['delka'];
	$fp = fopen('delka.txt', 'w'); 
	fwrite($fp, $delka); 
	fclose($fp);
	}

	$poznamka = $_POST['poznamka'];
	$fp = fopen('poznamka.txt', 'w'); 
	fwrite($fp, $poznamka); 
	fclose($fp);
	
	$fp = fopen('zbrane.txt', 'w');
	if (!empty($_POST['vpi'])) {fwrite($fp, $_POST['vpi'].PHP_EOL);}
	if (!empty($_POST['vpa'])) {fwrite($fp, $_POST['vpa'].PHP_EOL);}
	if (!empty($_POST['vre'])) {fwrite($fp, $_POST['vre'].PHP_EOL);}
	if (!empty($_POST['vrw'])) {fwrite($fp, $_POST['vrw'].PHP_EOL);}
	if (!empty($_POST['upu'])) {fwrite($fp, $_POST['upu'].PHP_EOL);}
	if (!empty($_POST['mpu'])) {fwrite($fp, $_POST['mpu'].PHP_EOL);}
	if (!empty($_POST['mao'])) {fwrite($fp, $_POST['mao'].PHP_EOL);}
	if (!empty($_POST['k4m'])) {fwrite($fp, $_POST['k4m'].PHP_EOL);}
	fclose($fp);
	
	if (!empty($_POST['stav'])) {
	$stav = $_POST['stav'];
	$fp = fopen('stav.txt', 'w'); 
	fwrite($fp, $stav); 
	fclose($fp);
	}
}
?>
</div>
</div>

	<!-- footer -->
<footer class="footer mt-auto py-3">
<div class="container">
<p class="text-center copyright"><?php echo date("Y"); ?> | mickey & <a href="https://www.nway.cz/rezervace" style="color: #212529;">strasidlo</a> | created for shooting</p>
</div>
</footer>
<?php
	if (isset($_GET['p'])) {$tabule=$_GET['p'];
	$fp = fopen('tabule.txt', 'w+'); 
	fwrite($fp, $tabule); 
	fclose($fp);}
?>

	<!-- scripts -->
<script src="js/bootstrap.min.js"></script>
</body>
</html>