<div class="col-lg-8 col-md-12 mb-3 mt-3 mx-auto">
<fieldset class="border rounded-3 px-4 py-3">
<legend class="float-none w-auto px-2 fs-6 fw-bold">Změnit závod</legend>
<form method="post">

<div class="row g-3 mb-3">
<div class="col-lg-8 col-md-6">
  <label class="col-form-label">Název závodu:</label>
  <input type="text" name="match_name" class="form-control" value="<?php $zavod = file_get_contents('zavod.txt'); echo $zavod; ?>">
</div>

<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Startovné:</label>
  <div class="input-group">
  <input type="number" name="match_cost" class="form-control" min="0" value="<?php $cena = file_get_contents('cena.txt'); echo $cena; ?>">
  <span class="input-group-text small">Kč</span>
  </div>
</div>

<div class="col-lg-1 col-md-6 form-check">
  <label class="col-form-label form-check-label" for="qr">QR</label>
  <div style="padding-top: 8px;">
<?php
$qrcode = file('qr.txt');
$qr = '';
foreach ($qrcode as $line)
	{ $hodnota=trim(preg_replace('/\s\s+/', ' ', $line));
	if ($hodnota == '[QR]') { $qr = 'checked'; };
	}
	echo '
	  <input class="form-check-input" style="margin-left: initial;"  type="checkbox" id="qr" name="qr" value="[QR]" '.$qr.'>
	</div>';
?>
</div>
</div>

<div class="row g-3 mb-3">
<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Počet stanovišť:</label>
  <input type="number" name="col_pos" class="form-control" min="1" max="15" value="<?php $stanoviste = intval(file_get_contents('stanoviste.txt')); echo $stanoviste; ?>">
</div>

<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Počet směn:</label>
  <input type="number" name="row_pos" class="form-control" min="1" value="<?php $smeny = intval(file_get_contents('smeny.txt')); echo $smeny; ?>">
</div>

<div class="col-lg-3 col-md-6">
  <label class="col-form-label">Začátek závodu [hh:mm]:</label>
  <input type="time" name="time_match" class="form-control" min="0" value="<?php $cas = file_get_contents('cas.txt'); echo $cas; ?>">
</div>

<div class="col-lg-3 col-md-6">
<label class="col-form-label">Délka směny [min]:</label>
<select class="form-select" name="delka" id="delka" value="">

<?php 
$delka = file_get_contents('delka.txt');

  if ($delka==15) {echo '<option value="15" selected>15</option>';} else {echo '<option value="15">15</option>';}
  if ($delka==20) {echo '<option value="20" selected>20</option>';} else {echo '<option value="20">20</option>';}
  if ($delka==25) {echo '<option value="25" selected>25</option>';} else {echo '<option value="25">25</option>';}
  if ($delka==30) {echo '<option value="30" selected>30</option>';} else {echo '<option value="30">30</option>';}
  if ($delka==35) {echo '<option value="35" selected>35</option>';} else {echo '<option value="35">35</option>';}
  if ($delka==40) {echo '<option value="40" selected>40</option>';} else {echo '<option value="40">40</option>';}
  if ($delka==45) {echo '<option value="45" selected>45</option>';} else {echo '<option value="45">45</option>';}
  if ($delka==50) {echo '<option value="50" selected>50</option>';} else {echo '<option value="50">50</option>';}
  if ($delka==55) {echo '<option value="55" selected>55</option>';} else {echo '<option value="55">55</option>';}
?>

</select>
</div>
</div>

<div class="row g-3">
<div class="col-lg-3 col-md-6 mb-3">
<label class="col-form-label">Disciplíny:</label>

<?php 
$radky=file('zbrane.txt');
$vpi = '';
$vpa = '';
$vre = '';
$vrw = '';
$upu = '';
$vpu = '';
$opu = '';
$sta = '';
$opa = '';
$opc = '';
$pdw = '';
$spc = '';
$rep = '';
$k4m = '';

foreach ($radky as $line)
	{$hodnota=trim(preg_replace('/\s\s+/', ' ', $line));
	if ($hodnota=="[VPi]") {$vpi="checked";};
	if ($hodnota=="[.45 ACP]") {$vpa="checked";};
	if ($hodnota=="[VRe]") {$vre="checked";};
	if ($hodnota=="[VRe WC]") {$vrw="checked";};
	if ($hodnota=="[ÚPu]") {$upu="checked";};	
	if ($hodnota=="[VPu]") {$vpu="checked";};
	if ($hodnota=="[OPu]") {$opu="checked";};
	if ($hodnota=="[STD]") {$sta="checked";};
	if ($hodnota=="[OPEN]") {$opa="checked";};
	if ($hodnota=="[OP]") {$opc="checked";};
	if ($hodnota=="[PDW]") {$pdw="checked";};
	if ($hodnota=="[Spec]") {$spc="checked";};
	if ($hodnota=="[Repe]") {$rep="checked";};
	if ($hodnota=="[K4M]") {$k4m="checked";};
	}	
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vpi" name="vpi" value="[VPi]" '.$vpi.'>
  <label class="form-check-label" for="vpi"> Pistole</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vpa" name="vpa" value="[.45 ACP]" '.$vpa.'>
  <label class="form-check-label" for="vpa"> Pistole .45 ACP</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vre" name="vre" value="[VRe]" '.$vre.'>
  <label class="form-check-label" for="vre"> Revolver</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vrw" name="vrw" value="[VRe WC]" '.$vrw.'>
  <label class="form-check-label" for="vrw"> Revolver WC</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="pdw" name="pdw" value="[PDW]" '.$pdw.'>
  <label class="form-check-label" for="pdw"> Osobní obranná zbraň</label>
</div>';
echo '</div>';

echo '<div class="col-lg-4 col-md-6 mb-3">';
echo '<label class="col-form-label d-none d-md-block">&nbsp;</label>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="upu" name="upu" value="[ÚPu]" '.$upu.'>
  <label class="form-check-label" for="upu"> Útočná puška</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="vpu" name="vpu" value="[VPu]" '.$vpu.'>
  <label class="form-check-label" for="vpu"> Velkorážní puška</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="opu" name="opu" value="[OPu]" '.$opu.'>
  <label class="form-check-label" for="opu"> Velkorážní odstřelovací puška</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="sta" name="sta" value="[STD]" '.$sta.'>
  <label class="form-check-label" for="sta"> Velkorážní puška Standard</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="opa" name="opa" value="[OPEN]" '.$opa.'>
  <label class="form-check-label" for="opa"> Velkorážní puška Open</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="opc" name="opc" value="[OP]" '.$opc.'>
  <label class="form-check-label" for="opc"> Velkorážní opakovací puška</label>
</div>';
echo '</div>';

echo '<div class="col-lg-3 col-md-6 mb-3">';
echo '<label class="col-form-label d-none d-md-block">&nbsp;</label>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="spc" name="spc" value="[Spec]" '.$spc.'>
  <label class="form-check-label" for="spc"> MaO jednoranka</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="rep" name="rep" value="[Repe]" '.$rep.'>
  <label class="form-check-label" for="rep"> MaO opakovací</label>
</div>';
echo '
<div class="form-check">
  <input class="form-check-input" type="checkbox" id="k4m" name="k4m" value="[K4M]" '.$k4m.'>
  <label class="form-check-label" for="k4m"> K4M</label>
</div>';
echo '</div>';

echo '<div class="col-lg-2 col-md-6 mb-3">';
echo '<label class="col-form-label d-none d-md-block">Stav rezervace:</label>';
$stav=file_get_contents('stav.txt');
  echo '<div class="form-check">'.PHP_EOL;
	if ($stav=='on') {echo '<input class="form-check-input" type="radio" name="stav" id="on" value="on" checked>'.PHP_EOL;} else {echo '<input class="form-check-input" type="radio" name="stav" id="on" value="on">'.PHP_EOL;}
	echo '<label class="form-check-label" for="on"> Spuštěna</label>'.PHP_EOL;
  echo '</div>'.PHP_EOL;
  
  echo '<div class="form-check">'.PHP_EOL;
	if ($stav=='wait') {echo '<input class="form-check-input" type="radio" name="stav" id="wait" value="wait" checked>'.PHP_EOL;} else {echo '<input class="form-check-input" type="radio" name="stav" id="wait" value="wait">'.PHP_EOL;}
	echo '<label class="form-check-label" for="wait"> Připravujeme</label>'.PHP_EOL;
  echo '</div>'.PHP_EOL;
  
  echo '<div class="form-check">'.PHP_EOL;
	if ($stav=='off') {echo '<input class="form-check-input" type="radio" name="stav" id="off" value="off" checked>'.PHP_EOL;} else {echo '<input class="form-check-input" type="radio" name="stav" id="off" value="off">'.PHP_EOL;}
	echo '<label class="form-check-label" for="off"> Uzavřena</label>'.PHP_EOL;
  echo '</div>'.PHP_EOL;
?>
</div>
</div>

<div class="row">
<div class="col-lg-12 col-md-6">
<div class="mb-3">
  <label for="poznamka" class="form-label">Poznámka:</label>
  <textarea class="form-control" id="poznamka" name="poznamka" rows="3"><?php $poznamka=file_get_contents('poznamka.txt');echo $poznamka;?></textarea>
</div>
</div>
</div>

<div class="d-grid gap-3 d-sm-block text-center">
<button class="btn btn-sm btn-success" type="submit" name="edit"<?php if (empty((file_get_contents('zavod.txt')))) { echo ' disabled'; } ?>>Uložit provedené změny</button>
  <button type="button" class="btn btn-sm btn-danger" data-bs-toggle="modal" data-bs-target="#nomatch"<?php if (empty((file_get_contents('zavod.txt')))) { echo ' disabled'; } ?>>Smazat závod</button>
    <div class="modal fade" id="nomatch" tabindex="-1" aria-labelledby="nomatchlabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <p><span style="font-weight:bold;">Smazat současný závod a odložit rezervaci?</span></p>
          </div>
          <div class="d-sm-block text-center mb-4">
            <button type="button" class="btn btn-sm btn-secondary" data-bs-dismiss="modal">Zrušit</button>
            <button class="btn btn-sm btn-danger" type="submit" name="nomatch" value="Rezervace bez závodu">Smazat závod</button>
          </div>
        </div>
      </div>
    </div>
</div>
</form>
</fieldset>

<div class="bd-callout-warning my-0 mt-4">
  <strong><i class="fas fa-trash-alt"></i></strong>Tlačítkem <b>Smazat závod</b> se smaže současný závod s veškerými daty a <i>zaparkuje</i> stav do vytvoření nového závodu.
</div>
</div>
<?php
if (isset($_POST['edit'])) {
	
	echo "<meta http-equiv='refresh' content='0'>";
	
	if(!empty($_POST['match_name'])) {
	$match_name = $_POST['match_name'];
	$fp = fopen('zavod.txt', 'w'); 
	fwrite($fp, $match_name); 
	fclose($fp);
	}

	if ($_POST['match_cost'] >= 0) {
	$match_cost = $_POST['match_cost'];
	$fp = fopen('cena.txt', 'w'); 
	fwrite($fp, $match_cost); 
	fclose($fp);
	}
	
	if (!empty($_POST['col_pos'])) {
	$col_pos = $_POST['col_pos'];
	$fp = fopen('stanoviste.txt', 'w'); 
	fwrite($fp, $col_pos); 
	fclose($fp);
	}
	
	if (!empty($_POST['row_pos'])) {
	$row_pos = $_POST['row_pos'];
	$fp = fopen('smeny.txt', 'w'); 
	fwrite($fp, $row_pos); 
	fclose($fp);
	}
	
	if (!empty($_POST['time_match'])) {
	$time_match = $_POST['time_match'];
	$fp = fopen('cas.txt', 'w'); 
	fwrite($fp, $time_match); 
	fclose($fp);
	}
	
	if (!empty($_POST['delka'])) {
	$delka = $_POST['delka'];
	$fp = fopen('delka.txt', 'w'); 
	fwrite($fp, $delka); 
	fclose($fp);
	}

	$poznamka = $_POST['poznamka'];
	$fp = fopen('poznamka.txt', 'w'); 
	fwrite($fp, $poznamka); 
	fclose($fp);
	
	$fp = fopen('zbrane.txt', 'w');
	if (!empty($_POST['vpi'])) {fwrite($fp, $_POST['vpi'].PHP_EOL);}
	if (!empty($_POST['vpa'])) {fwrite($fp, $_POST['vpa'].PHP_EOL);}
	if (!empty($_POST['vre'])) {fwrite($fp, $_POST['vre'].PHP_EOL);}
	if (!empty($_POST['vrw'])) {fwrite($fp, $_POST['vrw'].PHP_EOL);}

	if (!empty($_POST['upu'])) {fwrite($fp, $_POST['upu'].PHP_EOL);}	
	if (!empty($_POST['vpu'])) {fwrite($fp, $_POST['vpu'].PHP_EOL);}
	if (!empty($_POST['opu'])) {fwrite($fp, $_POST['opu'].PHP_EOL);}
	if (!empty($_POST['sta'])) {fwrite($fp, $_POST['sta'].PHP_EOL);}
	if (!empty($_POST['opa'])) {fwrite($fp, $_POST['opa'].PHP_EOL);}
	if (!empty($_POST['opc'])) {fwrite($fp, $_POST['opc'].PHP_EOL);}
	if (!empty($_POST['pdw'])) {fwrite($fp, $_POST['pdw'].PHP_EOL);}
	
	if (!empty($_POST['spc'])) {fwrite($fp, $_POST['spc'].PHP_EOL);}
	if (!empty($_POST['rep'])) {fwrite($fp, $_POST['rep'].PHP_EOL);}
	if (!empty($_POST['k4m'])) {fwrite($fp, $_POST['k4m'].PHP_EOL);}
	fclose($fp);
	
	if (!empty($_POST['stav'])) {
	$stav = $_POST['stav'];
	$fp = fopen('stav.txt', 'w'); 
	fwrite($fp, $stav); 
	fclose($fp);
	}
	
	$fp = fopen('qr.txt', 'w'); 
	if (!empty($_POST['qr'])) {
	fwrite($fp, $_POST['qr'].PHP_EOL);
	}
	fclose($fp);
}

if(isset($_POST['nomatch'])) {
	
	$fp = fopen('zavod.txt', 'w');
	fwrite($fp, '');
	fclose($fp);
	
	$fp = fopen('cena.txt', 'w');
	fwrite($fp, '');
	fclose($fp);
	
	$fp = fopen('smeny.txt', 'w');
	fwrite($fp, '0');
	fclose($fp);
	
	$fp = fopen('stanoviste.txt', 'w');
	fwrite($fp, '1');
	fclose($fp);
	
	$fp = fopen('zbrane.txt', 'w');
	fwrite($fp, '');
	fclose($fp);
	
	$fp = fopen('stav.txt', 'w');
	fwrite($fp, 'off');
	fclose($fp);
	
	$fp = fopen('cas.txt', 'w');
	fwrite($fp, '09:00');
	fclose($fp);
	
	$fp = fopen('delka.txt', 'w');
	fwrite($fp, '15');
	fclose($fp);

	$fp = fopen('poznamka.txt', 'w');
	fwrite($fp, '');
	fclose($fp);

	$fp = fopen('qr.txt', 'w');
	fwrite($fp, '');
	fclose($fp);

	if (file_exists('tabule.txt')) { unlink('tabule.txt'); }
	
	echo '<script>window.location="zavod.php";</script>';
}
?>