<!doctype html>
<html lang="cs">
<head>
<title>Rezervace startovní pozice</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="canonical" href="https://www./">

	<!-- favicons -->
<link rel="shortcut icon" type="image/vnd.microsoft.icon" href=""/>
<meta name="theme-color" content="#ffffff"/>
<meta name="color-scheme" content="dark light"/>

	<!-- css -->
<link rel="stylesheet" href="admin/css/bootstrap.min.css"/>
<link rel="stylesheet" href="admin/css/style.css"/>

	<!-- script -->
<script type="text/javascript" src="admin/js/redips-view-min.js"></script>
<script type="text/javascript" src="admin/js/script.js"></script>
</head>

<body onload="redips.button()">

	<!-- wrapper -->
<div id="reserve" class="wrapper">

	<!-- header -->
<header class="header">
<div class="navbar-area">
<div class="container">

</div>
</div>
</header>

	<!-- main -->
<div class="wrapper main-style">
<div class="container">
<div class="row flex-row-reverse">
<div class="content-sidebar">

<div class="row">
<div class="col-lg-4 col-md-6 offset-lg-1">
<div class="login-form p-lg-4">
<div class="row g-3">
<h4>Rezervace pozice</h4>
<div class="col-12">
<p style="font-size: 18px">Zapište si vybranou volnou startovní pozici.</p>
</div>
<div class="col-12">
<p style="font-size: 18px">Děkujeme, že nám tímto zjednodušíte a urychlíte průběh vlastní registrace závodníků.</p>
</div>
<div class="col-12">
<p style="font-size: 18px">Pro případnou změnu, prosíme, využijte <a class="link" href="/kontakt/">kontaktní formulář</a>. Děkujeme.</p>
</div>
</div>
</div>
</div>

<div class="col-lg-6 col-md-6">
<div class="login-form mt-2 p-lg-4">
<form action="" method="post" class="row g-3">
<div class="col-lg-6 col-md-6">
<label class="col-form-label">Jméno a příjmení:</label>
<input type="text" name="user_name" class="form-control">
</div>
<div class="col-lg-6 col-md-6">
<label class="col-form-label">Klubová příslušnost:</label>
<input type="text" name="club_name" class="form-control" placeholder="např. neregistrovaný">
</div>
<div class="col-lg-6 col-md-6">
<label class="col-form-label">Disciplína:</label>
<select class="form-select" name="weapons" id="weapons" value="">
<option value="" disabled selected hidden>Vyberte disciplínu</option>
<?php 
$radky=file('admin/zbrane.txt');
	foreach ($radky as $line)
	{$hodnota=trim(preg_replace('/\s\s+/', ' ', $line));
	if ($hodnota=="[VPi]")  {$text="Pistole";}
	if ($hodnota=="[.45 ACP]")  {$text="Pistole .45 ACP";}
	if ($hodnota=="[VRe]")  {$text="Revolver";}
	if ($hodnota=="[VRe WC]")  {$text="Revolver WC";}
	if ($hodnota=="[ÚPu]")  {$text="Velkorážní puška";}
	if ($hodnota=="[MPu]")  {$text="Malorážní puška";}
	if ($hodnota=="[MaO]")  {$text="Malorážní odstřelovací puška";}
	if ($hodnota=="[K4M]")  {$text="K4M";}
echo '<option value="'.$hodnota.'">'.$text.'</option>';}
?>
</select>
</div>
<div class="col-lg-3 col-md-6">
<label class="col-form-label">Pozice:</label>
<select class="form-select" name="position" id="position" value="">
<?php 
$stanoviste=intval(file_get_contents('admin/stanoviste.txt'));
for ($i=1; $i <= $stanoviste; $i++)
{echo '<option>'.$i.'</option>';}
?>
</select>
</div>
<div class="col-lg-3 col-md-6">
<label class="col-form-label">Směna:</label>
<select class="form-select" name="round" id="round" value="">
<?php 
$smeny=intval(file_get_contents('admin/smeny.txt'));
for ($x=1; $x <= $smeny; $x++)
{echo '<option>'.$x.'</option>';}
?>
</select>
</div>

<div class="d-grid gap-3 d-md-flex justify-content-md-center mb-2 pt-2">
<?php
$x=0;
if (file_exists('admin/stav.txt')) {
$stav=file('admin/stav.txt');
foreach ($stav as $line)
{$ted=trim(preg_replace('/\s\s+/', ' ', $line));
if ((($ted=="on")) AND $x<1) {echo '<button class="btn btn-success" type="submit" id="submit" name="submit">Odeslat rezervaci</button>'; $x=1;}
if ((($ted=="wait")) AND $x<1) {echo '<button class="btn btn-warning text-white" type="" id="" name="" disabled>Připravujeme</button>'; $x=1;}
if ((($ted=="off")) AND $x<1) {echo '<button class="btn btn-danger" type="" id="" name="" disabled>Rezervace uzavřena</button>'; $x=1;}
}
}
?>

</div>
</form>
<hr>

<?php
$x=0;
$terce=file('admin/zbrane.txt');
foreach ($terce as $line)
{$papir=trim(preg_replace('/\s\s+/', ' ', $line));
if ((($papir=="[.45 ACP]") or ($papir=="[VRe WC]")) AND $x<1) {echo '<small class="form-text text-muted">Výběr disciplín .45 ACP a VRe WC určuje podklad soutěžního terče.</small>'.PHP_EOL; $x=1;}
}
?>
<small class="form-text text-muted">Pořadatel si vyhrazuje právo na změnu umístění z důvodu optimálního využití střelnice.</small>
<div class="col-12 mb-1">

<?php
if(isset($_POST['submit'])) {
	$duplicita=FALSE;
	if (!empty($_POST["user_name"]) & (!empty($_POST["club_name"])) & (!empty($_POST["weapons"])) & (!empty($_POST["position"])) & (!empty($_POST["round"]))) {
		$first_name = $_POST["user_name"];
		$last_name = $_POST['club_name'];
		$weapons = $_POST['weapons'];
		$position = $_POST['position'];
		$round = $_POST['round'];
		if (!(file_exists('admin/tabule.txt'))) {
			$prvni=TRUE;
			$header='[';
			$oddel="";
		}
		else {
			$prvni=FALSE;
			$header="";
			$oddel=",";
			$p = file_get_contents('admin/tabule.txt');
			$arr = json_decode($p);
			foreach ($arr as $p) {
				$smena = $p[1];
				$pozice = $p[2];
				if ($round==$smena AND $position==$pozice) {$duplicita=TRUE;}
			}
		}	
		
		if ($duplicita==TRUE) {echo '<div class="alert alert-danger alert-dismissible fade show mt-3" role="alert">
			Požadovaná rezervace je již obsazena.
			<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
			</div>'.PHP_EOL;
			}

		else {
			$file = fopen('admin/tabule.txt', 'a+');
			if ($prvni==FALSE){$obsah = fstat($file);ftruncate($file, $obsah['size']-1);}
			fwrite($file,$header);
			fwrite($file,$oddel);
			fwrite($file,'["d1",');
			fwrite($file,$round.',');
			fwrite($file,$position.',"t1",');
			fwrite($file,'"'.$first_name.' - ');
			fwrite($file,$last_name.' ');
			fwrite($file,$weapons.'"');
			fwrite($file,']');
			fwrite($file,']');
			fclose($file);
	
			echo '<div class="alert alert-success alert-dismissible fade show mt-3" role="alert">
			Požadovaná rezervace byla přijata.
			<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
			</div>'.PHP_EOL;
	}
	}
	else {echo '<div class="alert alert-warning alert-dismissible fade show mt-3" role="alert">
		Nejsou vyplněna všechna potřebná pole.
		<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
		</div>'.PHP_EOL;
	}
}
?>
</div>
</div>
</div>
</div>

<?php $nazev=file_get_contents('admin/zavod.txt'); ?>
<h2 class="ms-lg-3 mb-3"><?php echo $nazev; ?></h2>

<?php
$poznamka=file_get_contents('admin/poznamka.txt');
if (trim(file_get_contents('admin/poznamka.txt')) == false) { echo ''; }
	else { echo '<p class="ms-lg-3 mb-1" style="margin-top: -10px"><span class="text-muted">'.$poznamka.'</span></p>'.PHP_EOL; }
?>

<div id="redips-drag">
<table id="table1">
<?php 
	$sl=0;
	$radky=intval(file_get_contents('admin/smeny.txt'));
	$sloupce=intval(file_get_contents('admin/stanoviste.txt'));
	$cas=file_get_contents('admin/cas.txt');
	$delka=intval(file_get_contents('admin/delka.txt'))*60;
	$colgroup=90/$sloupce;
	if (file_exists('admin/tabule.txt')) {$tabule=file_get_contents('admin/tabule.txt');
	$fp = fopen('tabule.txt', 'w');
	fwrite($fp,$tabule);
	fclose($fp);}
?>
<?php 
echo '<tr><th class="redips-mark" width="10%">&darr;</th>';
	for ($xy=1; $xy <= $sloupce; $xy++)
	{echo '<th class="redips-mark" width="'.$colgroup.'%"><h5>'.$xy.'</h5>';}
echo '</th>'.PHP_EOL;
	for ($x=1; $x <= $radky; $x++)
	{if ($x % 2) {echo '<tr>'.PHP_EOL;}
		else {echo '<tr>'.PHP_EOL;}
		if ($x==1) {$cas1=strtotime($cas);}
			else {$cas1=$cas2;}
			$cas2= $cas1+$delka;
			echo '<th class="redips-mark rounds"><span class="label">Směna '.$x.'</span> <small><span class="label">'.StrFTime("%H:%M",$cas1).'-'.StrFTime("%H:%M",$cas2).'</span></small></th>'.PHP_EOL;
			for ($y=1; $y <= $sloupce; $y++)
	{$sl+=1;
	echo '<td></td>'.PHP_EOL;}
	echo '</tr>'.PHP_EOL;}
?>
</table>
</div>

</div>
</div>
</div>
</div>
</div>

	<!-- footer -->
<footer class="footer mt-auto py-3">
<div class="container">
<p class="text-center copyright"><?php echo date("Y"); ?> | mickey & <a href="https://www.nway.cz/rezervace" style="color: #212529;">strasidlo</a> | created for shooting</p>
</div>
</footer>

	<!-- scripts -->
<script src="admin/js/bootstrap.min.js"></script>
</body>
</html>